Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ChildCreator.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ChildCreator.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ChildCreator.java	(revision 36315)
@@ -20,6 +20,6 @@
 import java.util.ListIterator;
 
-import org.jdom.Element;
-import org.jdom.Namespace;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
 
 /**
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ImmutableDocStyledNode.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ImmutableDocStyledNode.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ImmutableDocStyledNode.java	(revision 36315)
@@ -19,6 +19,6 @@
 import java.util.Set;
 
-import org.jdom.Document;
-import org.jdom.Element;
+import org.jdom2.Document;
+import org.jdom2.Element;
 
 public class ImmutableDocStyledNode<S extends StyleStyle, D extends ODDocument> extends StyledNode<S, D> {
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODMeta.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODMeta.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODMeta.java	(revision 36315)
@@ -24,6 +24,6 @@
 import java.util.Map;
 
-import org.jdom.Element;
-import org.jdom.Namespace;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
 
 /**
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODNode.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODNode.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODNode.java	(revision 36315)
@@ -16,5 +16,5 @@
 package org.jopendocument.dom;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 
 /**
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODPackage.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODPackage.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODPackage.java	(revision 36315)
@@ -22,5 +22,5 @@
 import java.util.Set;
 
-import org.jdom.Document;
+import org.jdom2.Document;
 import org.jopendocument.util.CopyUtils;
 import org.jopendocument.util.FileUtils;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODUserDefinedMeta.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODUserDefinedMeta.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODUserDefinedMeta.java	(revision 36315)
@@ -19,7 +19,7 @@
 import java.util.List;
 
-import org.jdom.Attribute;
-import org.jdom.Element;
-import org.jdom.Namespace;
+import org.jdom2.Attribute;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
 
 // eg <meta:user-defined meta:name="countOfSomething">5.2</meta:user-defined>
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODXMLDocument.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODXMLDocument.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/ODXMLDocument.java	(revision 36315)
@@ -24,7 +24,7 @@
 import java.util.Map;
 
-import org.jdom.Document;
-import org.jdom.Element;
-import org.jdom.Namespace;
+import org.jdom2.Document;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
 
 /**
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyleDesc.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyleDesc.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyleDesc.java	(revision 36315)
@@ -20,5 +20,5 @@
 import java.util.List;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 import org.jopendocument.util.CollectionMap;
 
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyleStyle.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyleStyle.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyleStyle.java	(revision 36315)
@@ -19,6 +19,6 @@
 import java.util.Map;
 
-import org.jdom.Element;
-import org.jdom.Namespace;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
 import org.jopendocument.dom.spreadsheet.CellStyle;
 import org.jopendocument.dom.spreadsheet.ColumnStyle;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyledNode.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyledNode.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/StyledNode.java	(revision 36315)
@@ -16,5 +16,5 @@
 package org.jopendocument.dom;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 
 /**
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/XMLVersion.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/XMLVersion.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/XMLVersion.java	(revision 36315)
@@ -19,6 +19,6 @@
 import java.util.Map;
 
-import org.jdom.Element;
-import org.jdom.Namespace;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
 
 /**
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Cell.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Cell.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Cell.java	(revision 36315)
@@ -25,7 +25,7 @@
 import java.util.regex.Pattern;
 
-import org.jdom.Element;
-import org.jdom.Namespace;
-import org.jdom.Text;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
+import org.jdom2.Text;
 import org.jopendocument.dom.ODDocument;
 import org.jopendocument.dom.ODValueType;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/CellStyle.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/CellStyle.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/CellStyle.java	(revision 36315)
@@ -18,5 +18,5 @@
 import java.util.Arrays;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODPackage;
 import org.jopendocument.dom.StyleDesc;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Column.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Column.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Column.java	(revision 36315)
@@ -16,5 +16,5 @@
 package org.jopendocument.dom.spreadsheet;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODDocument;
 
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/ColumnStyle.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/ColumnStyle.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/ColumnStyle.java	(revision 36315)
@@ -16,5 +16,5 @@
 package org.jopendocument.dom.spreadsheet;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODPackage;
 import org.jopendocument.dom.StyleDesc;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Row.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Row.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Row.java	(revision 36315)
@@ -22,5 +22,5 @@
 import java.util.List;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODDocument;
 
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/RowStyle.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/RowStyle.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/RowStyle.java	(revision 36315)
@@ -16,5 +16,5 @@
 package org.jopendocument.dom.spreadsheet;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODPackage;
 import org.jopendocument.dom.StyleDesc;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Sheet.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Sheet.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Sheet.java	(revision 36315)
@@ -16,5 +16,5 @@
 package org.jopendocument.dom.spreadsheet;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 
 /**
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/SpreadSheet.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/SpreadSheet.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/SpreadSheet.java	(revision 36315)
@@ -21,6 +21,6 @@
 import java.util.NoSuchElementException;
 
-import org.jdom.Document;
-import org.jdom.Element;
+import org.jdom2.Document;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODDocument;
 import org.jopendocument.dom.ODPackage;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Table.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Table.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/Table.java	(revision 36315)
@@ -20,6 +20,6 @@
 import java.util.ListIterator;
 
-import org.jdom.Attribute;
-import org.jdom.Element;
+import org.jdom2.Attribute;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODDocument;
 import org.jopendocument.util.Tuple2;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/TableCalcNode.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/TableCalcNode.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/TableCalcNode.java	(revision 36315)
@@ -16,6 +16,6 @@
 package org.jopendocument.dom.spreadsheet;
 
-import org.jdom.Element;
-import org.jdom.Namespace;
+import org.jdom2.Element;
+import org.jdom2.Namespace;
 import org.jopendocument.dom.ImmutableDocStyledNode;
 import org.jopendocument.dom.ODDocument;
Index: applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/TableStyle.java
===================================================================
--- applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/TableStyle.java	(revision 36092)
+++ applications/editors/josm/plugins/opendata/includes/org/jopendocument/dom/spreadsheet/TableStyle.java	(revision 36315)
@@ -18,5 +18,5 @@
 import java.util.Arrays;
 
-import org.jdom.Element;
+import org.jdom2.Element;
 import org.jopendocument.dom.ODPackage;
 import org.jopendocument.dom.StyleDesc;